import { request } from '@umijs/max';

// 查询菜单权限列表
export async function protocolPage(body) {
    return request('/admin/protocol/page', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function protocolAdd(body) {
    return request('/admin/protocol/add', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function protocolUpdate(body) {
    return request('/admin/protocol/update', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function protocolDelete(body) {
    return request('/admin/protocol/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function protocolInfo(params) {
    return request('/admin/protocol/get', {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        params
    });
}


